//+-------------------------------------------------------------------------+
//|                                                   IBFX - Quick Sell.mq4 |
//|                                Copyright  2010, InterbankFX LLC |
//|                                              http://www.ibfx.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Interbank FX LLC"
#property link      "http://www.ibfx.com"
#include <IBFX - Quick Scripts.mqh>

void start()
{
      /*+-------------------------------------------------------------------------+
         Because these scripts are meant to execute fast there are no user 
         external inputs. Make sure to modify the settings below, then compile 
         the script before assigning a hot key to it and using it.
         The magicNumber HAS TO TO BE THE SAME ON ALL SCRIPTS if you change it 
         here make sure to change it on all scripts!!!
         Do not forget to click on COMPILE once your changes have been made!!!
      +-------------------------------------------------------------------------+*/
         int   MagicNumber = 915; 
      double          Lots = 0.01;    /* If you want to use a static lots value change this value! */
      double          Risk = 1.0;    /* If you want the script to use % of your account to calculate
                                        Lots to trade make sure Lots is set to 0.0   */    
         int      Slippage = 3;                                                                                   
         int      StopLoss = 20;     // Number in Pips ie: 50 for 50 pips.
         int  ProfitTarget = 30;     // Number in Pips ie: 50 for 50 pips.
         int      MaxRetry = 10;     // If the Order Fails - How many time do we retry?
      string    Commentary = "IBFX - Quick Sell ";
      
      //+-------------------------------------------------------------------------+
      //|               DO NOT MODIFY ANYTHING BELOW THIS LINE!!!                 |
      //+-------------------------------------------------------------------------+
            Sym = Symbol();
      SymPoints = MarketInfo( Sym, MODE_POINT  );
      SymDigits = MarketInfo( Sym, MODE_DIGITS );
           
           if( SymPoints == 0.00001 ) { SymPoints = 0.0001; }
      else if( SymPoints == 0.001 )   { SymPoints = 0.01; }
   
      if( Lots <= 0.0 ) 
      { 
         Lots = MM(Sym, Risk ); 
         if( Risk <= 0 ) 
         {  
            Alert( Commentary + "- Invalid Lots/Risk settings!" ); 
            return;
         }
      }
      
      Comment( "IBFX - QuickSell | Placing Short Order, please wait ..." );						   
      EnterShrt( Sym, Lots, Commentary, StopLoss, ProfitTarget, MagicNumber, MaxRetry, Slippage );
      Comment("");
      return;
}
//+-------------------------------------------------------------------------+